* {
    box-sizing: border-box;
}

.modal-backdrop {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: rgba(0, 0, 0, 0.5);
    z-index: 700;
}

.modal-wrapper {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 500;
    width: 70%;
    height: 80%;
    background: #FFFFFF;
    margin: 0;
}

.modal {
    width: 100%;
    height: 100%;
    overflow-y: auto;
    padding: 4rem;
}

.modal-header {
    display: flex;
    justify-content: space-between;
}

.close-modal-icon {
    transform: translate(0, -50%);
    color: #000000;
    font-size: 20px;
    font-weight: bold;
}

.close-modal-icon:hover {
    cursor: pointer;
    color: #727272;
}

.modal-title {
    width: 100%;
    padding: 0;
    margin: 0;
}

.modal-body img {
    width: 100%;
    height: auto;
}

.modal-content p {
    text-align: left;
    font-size: calc(16px + 0.1vmin);
}

.modal-title .heading p {
    font-size: calc(22px + 2vmin);
    margin-block-start: 1rem;
    margin-block-end: 0.5rem;
}


.modal-content a:active {
    font-weight: bold;
    text-decoration: none;
}

.modal-footer {
    margin-bottom: 2rem;
}

.close-modal-btn {
    float: right;
    color: #FFFFFF;
    font-size: 1rem;
    background-color: rgba(11, 14, 14, 0.555);
    padding: 0.6rem 1.4rem 0.6rem 1.4rem;
    margin-bottom: 2rem;
}

.close-modal-btn:hover {
    box-shadow: 0 0 0.2rem 0.1rem #AAAAAA;
    cursor: pointer;
}

/* For extra small devices (phones, 600px and down)*/

@media only screen and (max-width: 600px) {
    .modal-backdrop {
        background: #E9AFAF;
        margin: 0;
        padding: 0;
    }
    .modal-wrapper {
        width: 90%;
        height: 90%;
        padding: 0;
    }
    .modal {
        padding: 2rem;
    }
    .modal-content p {
        font-size: calc(15px + 0.1vmin);
        margin-block-start: 0.5rem;
        margin-block-end: 1rem;
        width: 100%;
        overflow-wrap: break-word;
    }
    .modal-title .heading h3 {
        font-size: calc(18px + 2vmin);
    }
    .modal-title .heading p {
        font-size: calc(18px + 2vmin);
        margin-block-start: 1rem;
        margin-block-end: 0.5rem;
    }
    .close-modal-btn {
        margin-top: 1rem;
    }
}

/* Small devices (portrait tablets and large phones, 601px and up) */
@media only screen and (min-width: 601px) and (max-width: 768px) {
    .modal-backdrop {
        background: #E9AFAF;
        margin: 0;
        padding: 0;
    }
    .modal-wrapper {
        width: 90%;
        height: 90%;
        padding: 0;
    }
    .modal {
        padding: 3rem;
    }
    .modal-content p {
        font-size: calc(16px + 0.1vmin);
        margin-block-start: 0.5rem;
        margin-block-end: 0;
    }
    .modal-title .heading h3 {
        font-size: calc(18px + 2vmin);
    }
    .modal-title .heading p {
        font-size: calc(18px + 2vmin);
        margin-block-start: 1rem;
        margin-block-end: 0.5rem;
    }
    .close-modal-btn {
        margin-top: 0;
    }
}